using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Kivii;
using Kivii.DataAnnotations;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisTopicEvolution)]
    [Api(Description = "主题演化分布")]
    public class DisTopicEvolution : EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "源年份")]
        public string SourceYear { get; set; }

        [ApiMember(Description = "目标年份")]
        public string TargetYear { get; set; }

        [ApiMember(Description = "源主题编号")]
        public string SourceTopic { get; set; }

        [ApiMember(Description = "目标主题编号")]
        public string TargetTopic { get; set; }

        [ApiMember(Description = "源主题词")]
        public string SourceTopicWord { get; set; }

        [ApiMember(Description = "目标主题词")]
        public string TargetTopicWord { get; set; }

        [ApiMember(Description = "余弦相似度")]
        public double CosSim { get; set; }
    }
}
